GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "f33a1180-9581-45ab-b76c-931840dadc3b",
"private_locations": [
{
"private_location_id": "4d41e4ca-2f91-4d35-bb52-afd6fa0ad172",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "aed91952-4b05-42de-b0a0-b287710325ce"
},
{
"private_location_id": "bd567860-d1fc-4a4c-9994-a889797641d0",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "2712b88e-14ed-41ba-adcf-3e769677ae29"
},
{
"private_location_id": "a819e338-76c5-47bf-863b-055bbf71b077",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f33e0fb8-26f2-455b-895c-cdfa85d5b499"
}
]
},
{
"access_group": "f149c53e-1aa9-4293-8ebc-ce3980735325",
"private_locations": [
{
"private_location_id": "a819e338-76c5-47bf-863b-055bbf71b077",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f33e0fb8-26f2-455b-895c-cdfa85d5b499"
},
{
"private_location_id": "4d41e4ca-2f91-4d35-bb52-afd6fa0ad172",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "aed91952-4b05-42de-b0a0-b287710325ce"
},
{
"private_location_id": "a819e338-76c5-47bf-863b-055bbf71b077",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f33e0fb8-26f2-455b-895c-cdfa85d5b499"
}
]
},
{
"access_group": "a154f68c-d9f1-4f0d-9258-91230355a72c",
"private_locations": [
{
"private_location_id": "4d41e4ca-2f91-4d35-bb52-afd6fa0ad172",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "aed91952-4b05-42de-b0a0-b287710325ce"
},
{
"private_location_id": "a819e338-76c5-47bf-863b-055bbf71b077",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "f33e0fb8-26f2-455b-895c-cdfa85d5b499"
},
{
"private_location_id": "bd567860-d1fc-4a4c-9994-a889797641d0",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "2712b88e-14ed-41ba-adcf-3e769677ae29"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |